set grid

set xlabel "Number of messages"
set ylabel "Time [{/Symbol m}s]"
set key left reverse Left

fit a1*x+b1 "data" using 1:2 via a1, b1
fit a2*x+b2 "data" using 1:4 via a2, b2

plot 'data' using 1:2 pt 7 ps 0.2 title 'read()', \
     'data' using 1:4 pt 7 ps 0.2 title 'recvmmsg()', \
     a1*x+b1 with lines lt 1 lc 1 lw 1 title "Linear fit for read()", \
     a2*x+b2 with lines lt 1 lc 2 lw 1 title "Linear fit for recvmmsg()"

# a1*x+b1 - a2*x-b2 = 0
# (a1-a2)*x = b2-b1
xeq = (b2-b1)/(a1-a2)
print "ar = ", a1
print "am = ", a2
print "ar/am = ", a1/a2
print "Intersection at x = ", xeq
